
%if 0%{?with_debug}
# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

%global golang_version      1.12.10

Name:           kubernetes-cni-plugins
Version:        0.7.6
Release:        1.0.3%{dist}
BuildArch:      x86_64
Summary:        Container Network Interface Plugins - networking plugins for Linux containers
Vendor:         Oracle America
License:        Apache-2.0
Group:          System/Management
Url:            https://github.com/containernetworking/plugins
Source:         cni-plugins-%{version}.tar.bz2
BuildRequires:  golang = %{golang_version}
#%{?systemd_requires}

%description
The CNI (Container Network Interface) project consists of a
specification and libraries for writing plugins to configure
network interfaces in Linux containers, along with a number of
supported plugins. CNI concerns itself only with network
connectivity of containers and removing allocated resources when
the container is deleted. Because of this focus, CNI has a wide
range of support and the specification is simple to implement.

This is the minimal CNI configuration for Kubernetes.

%prep
%setup -q -n cni-plugins-%{version}

%build

chmod +x build.sh
./build.sh

%install
install -m 755 -d %{buildroot}/opt/cni
mv bin/ %{buildroot}/opt/cni/

%files
%license LICENSE THIRD_PARTY_LICENSES.txt
/opt/cni

%changelog
* Thu Oct 17 2019 Thomas Tanaka <thomas.tanaka@oracle.com> - 0.7.6-1.0.3
- Added THIRD_PARTY_LICENSES.txt

* Tue Oct 15 2019 Thomas Tanaka <thomas.tanaka@oracle.com> - 0.7.6-1.0.2
- Golang CVE-2019-16276

* Wed Aug 14 2019 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 0.7.6-1.0.1
- Added Oracle specific build files for Kubernetes CNI Plugins
